> Tous les forums > Forum Linux
 Manque codecs pour Opera et Seamonkey
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
Esclapion
  Posté le 10/12/2011 @ 11:35 
Aller en bas de la page 
Grand Maître astucien

Bonjour à tous,

Je suis en train d'essayer de comparer les navigateurs par PeaceKeeper sous ma LMDE, mais si ça marche bien pour FF et Chromium, le test saute plusieurs phases en me disant qu'il me manque des codecs avec Opera et Seamonkey (IceApe).

C'est d'autant plus étonnant que j'ai pris la version DVD, donc avec tous les codecs inclus.

Quels sont les meilleurs à rajouter (j'ai vu passer un w32codecs, mais le nom ne m'inspire pas ) ?

Merci d'avance.

Publicité
Mori
 Posté le 10/12/2011 à 11:47 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

le nom ne t'inspire peut-être pas mais ces codecs sont pourtant bien utiles. rassure-toi, ils n'introduisent aucune faille de sécurité particulière.

Esclapion
 Posté le 10/12/2011 à 11:52 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Lu, merci. Je vais les chercher, ils ne sont pas dans mes dépôts.

Esclapion
 Posté le 10/12/2011 à 12:23 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bon, OK.

J'ai suivi CECI, mais ça ne marchait pas chez moi, il ne trouvait pas w32codecs.

En réfléchissant un peu plus , j'ai cherché w64codecs : là, il l'a trouvé, mais m'a dit qu'il était à la plus récente version disponible. Maintenant, pourquoi ne trouve-t-il pas w32codecs, telle est la question (j'ai une LMDE 64 bits) ?

J'ai réessayé PeaceKeeper, mais ça ne passe toujours pas :

Peut-être un problème du test, mais pourquoi ça passerait avec Chrome et FF ???

(edit)

J'ai aussi installé mint-meta-codecs, pareil.



Modifié par Esclapion le 10/12/2011 12:28
Mori
 Posté le 10/12/2011 à 12:32 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

728
HTML5 Capabilities 5/7
les deux échecs appellent la 3D... ma carte graphique propriétaire ne dispose pas de driver sous gnu linux. vu l'utilité que j'en ai.
Esclapion
 Posté le 10/12/2011 à 12:41 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Merci. (je suppose que c'est ton Seamonkey adoré {#}).

C'est quand même marrant que ça ne passe pas chez moi; et uniquement pour Opera et Seamonkey -> ???

Je ne vois pas en quoi mon install pourrait jouer. J'ai le pilote "alternative" Nvidia prévu dans ma distrib.

Esclapion
 Posté le 10/12/2011 à 13:00 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

3064
HTML5 Capabilities 7/7

(chromium 13)
_

Je me demande si ce n'est pas un problème de codecs 64 ou 32 bits pour Opera et Seamonkey. Chrome et FF acceptant le 64 bits, et pas les deux autres.
Si c'est ça, ton installation doit être en 32 bits ?


Modifié par Esclapion le 10/12/2011 13:08
Esclapion
 Posté le 10/12/2011 à 13:42 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Lu sur le Web :

non-free-codecs installe le paquet w32codecs sur les architectures 32 bits et w64codecs sur les architectures 64 bits.
Notez que le paquet w64codecs ne propose pas autant de formats que son homologue w32codecs. Le codec realplay pour lire les fichiers RealAudio et RealVideo, entre autre, n'est pas inclus ou est mal paramétré.

Mori
 Posté le 10/12/2011 à 22:07 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

je suis en x84_64 avec les w64codecs... avec seamonkey, que j'utilise exclusivement. j'ai bien un iceweasel installé à cause d'une dépendance (sun-java6-plugin) créée par debian. vaut mieux un iceweasel qu'un iceape 2.0.11 qui va me foutre le bazar en pourrissant (qui l'a déjà fait d'ailleurs) mon profil de sm 2.5. {#}

Publicité
Esclapion
 Posté le 10/12/2011 à 22:20 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Au risque de poser une question idiote, quelle différence fondamentale fais-tu entre Seamonkey et IceApe : un indice de révision ?

Comment as-tu installé ton SeaMonkey : via les sources ?

Mori
 Posté le 11/12/2011 à 23:11 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

pour la différence entre iceape et seamonkey, je t'ai répondu en MP. sinon, sm a été détaré dans /opt à partir du tar.bz2 officiel.

iceape dans debian sid n'est qu'en version 2.0.14 ... on a le temps de voir mourir un âne par lapidation à coup de figues. {#}

Esclapion
 Posté le 11/12/2011 à 23:23 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Merci, j'ai essayé de l'extraire dans /var/opt, mais il me manque un tas de bibliothèque, la première étant une sur dbus, quand je fais ./seamonkey.



Modifié par Esclapion le 11/12/2011 23:24
Mori
 Posté le 12/12/2011 à 12:12 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

sm est déjà compilé dans le tarball http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.5/contrib/seamonkey-2.5.en-US.linux-x86_64.tar.bz2 à prendre pour le x86_64, puis tu prends après installation le fr.xpi. about:config > general.useragent.locale > fr

# cd /opt

# tar jxf /home/esclapion/dossier/*.bz2

# ln -svf /opt/seamonkey/seamonkey /usr/bin/

$ mkdir ~/.mozilla/plugins

$ ln -svf /usr/lib/mozilla/plugins/* ~/.mozilla/plugins/

ou pour x86_64 $ ln -svf /usr/lib64/mozilla/plugins/* ~/.mozilla/plugins/

normalement, LMDe doit rentrer dans les clous http://www.seamonkey-project.org/doc/system-requirements



Modifié par Mori le 12/12/2011 12:18
Esclapion
 Posté le 12/12/2011 à 14:03 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bonjour,

Merci beaucoup pour cette explication détaillée.

Ça marche

Par contre :

1) un des tests a été sauté (codec not supported by your browser, ce qui explique peut-être la note) ;

2) au premier essai, mon PC s'est mis en veille (mais j'ai des pbs Internet) ;

3) avec Cr13, j'en suis à 3000, et 7/7 en html (là, j'en suis à 6/7).

Mais c'est déjà beaucoup mieux, merci. Vu les icônes, on dirait la lignée Netscape.

J'ai fait des essais en 64, je vais réessayer avec les liens en 32 (si ça a un sens).

Sinon, ça vaudrait le coup de le recompiler ou de trouver une version récente d'IceApe (?).

De son côté, Chrome a un hoquet sur un des tests (celui de la rivière, pas très fluide).

Certains tests sont nettement plus rapide avec SeaMonkey.



Modifié par Esclapion le 12/12/2011 14:04
Esclapion
 Posté le 12/12/2011 à 14:13 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Re,

Pareil avec les liens 32 bits (note : 2134). Toujours ce pb de codec. Par contre, il n'y a que ça comme problème rémanent, l'amélioration est considérable.

Mori
 Posté le 12/12/2011 à 21:56 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

je ne vois pas l'intérêt de recompiler avec gcc 4.4.5 ce qui a été compilé avec gcc 4.5.2.

pour la version récente de iceape, on ne peux pas aller plus vite que la musique debianeuse. iceape était présent sous etch (1.0.9 de mémoire) puis avait disparu de lenny puis est réapparu sous squeeze (2.0.11) et est en version encore très ancienne sous wheezy et sid (2.0.14). vu la cadence de développement de debian, le nouveau cycle de développement de seamonkey qui suit celui de firefox, donc à une cadence assez élevée, il vaut mieux tenir pour acquis que le passage par le tarball de mozilla foundation est incontournable.

pour le fun, tu peux regarder about:buildconfig qui te sera utile pour compiler seamonkey source... pour vraissemblablement un gain moins que rien garanti.

Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
Existe t il un gros pack pour tous les codecs
Le navigateur Opera est gratuit pour son dixième a
plugin audio pour firefox ou opera
que me manque t'il pour installer des programes té
Adresse pop Opera pour operamail.com
opera 7.11 en francais pour GNU/linux
"Phrases Epress" pour Linux...
Debian 8.0 Jessie pour le 25 avril 2015
Problème pour installer fichier msi. avec Wine
[TUTO]Script, pour Notification de Réponse.
Plus de sujets relatifs à Manque codecs pour Opera et Seamonkey
 > Tous les forums > Forum Linux